<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
>
    <!-- parameter: movement = var used to browse a MovementDataModel object -->
    <g:column id="movementId" sortBy="#{'movementUniqueId'}" sortOrder="#{dataTableStateHolder.sortOrders['movementUniqueId']}">
        <f:facet name="header">#{messages['gazelle.simulator.pam.MovementUniqueId']}</f:facet>
        #{movement.movementUniqueId}
    </g:column>
    <g:column id="movementDate" sortBy="#{'movementDate'}" sortOrder="#{dataTableStateHolder.sortOrders['movementDate']}">
        <f:facet name="header">#{messages['gazelle.simulator.pam.MovementDate']}</f:facet>
        <g:date value="#{movement.movementDate}"/>
    </g:column>
    <g:column id="triggerEvent">
        <f:facet name="header">#{messages['gazelle.simulator.pam.TriggerEvent']}</f:facet>
        <div class="gzl-never-wrap">
            <h:outputText value="#{movement.triggerEvent}"/>
            <s:span styleClass="fa fa-hourglass-end gzl-text-blue"
                    rendered="#{not(movement.actionType.isCancel()) and not movement.currentMovement and not movement.pendingMovement}"
                    title="Historic movement"/>
            <s:span styleClass="fa fa-hourglass-start gzl-text-blue"
                    rendered="#{not(movement.actionType.isCancel()) and movement.pendingMovement}"
                    title="Pending movement"/>
            <s:span styleClass="fa fa-hourglass-half gzl-text-blue"
                    rendered="#{not(movement.actionType.isCancel()) and movement.currentMovement}"
                    title="Current movement"/>
            <s:span styleClass="fa fa-ban gzl-text-blue"
                    rendered="#{movement.actionType.isCancel()}"
                    title="Movement cancelled"/>
        </div>
    </g:column>
    <g:column id="creator"  sortOrder="#{dataTableStateHolder.sortOrders['creator']}" sortBy="#{'creator'}">
        <f:facet name="header">#{messages['gazelle.simulator.pam.Creator']}</f:facet>
        <h:outputText value="#{pesManager.getUserName(movement.creator)}"/>
    </g:column>
</ui:composition>
